Bug 181825 - net-mgmt/zabbix2-server: zabbix port missing Java file
Summary: net-mgmt/zabbix2-server: zabbix port missing Java file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-05 04:40 UTC by ari
Modified: 2013-09-24 00:10 UTC (History)
0 users

See Also:


Attachments
zabbix-java.diff (957 bytes, patch)
2013-09-07 07:30 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ari 2013-09-05 04:40:00 UTC
net-mgmt/zabbix2-server/pkg-plist has this line:

   %%JAVAGW%%%%ZABBIX_JAVA%%/bin/zabbix-java-gateway-2.0.4.jar

That should be instead

   %%JAVAGW%%%%ZABBIX_JAVA%%/bin/zabbix-java-gateway-2.0.8.jar


And of course this needs to be kept up to date in future releases.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-09-05 05:48:27 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-09-06 06:14:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 3 R.Mahmatkhanov 2013-09-07 07:30:41 UTC
Hello,

this patch fixing pkg-plist when java option is enabled.
Would you approve?

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-09-07 11:03:47 UTC
State Changed
From-To: open->feedback

Avaiting maintainer's feedback
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-09-20 08:22:29 UTC
State Changed
From-To: feedback->open

Hi, was you able to test the patch? May I commit it?
Comment 6 dfilter service freebsd_committer 2013-09-23 15:27:08 UTC
Author: rm
Date: Mon Sep 23 14:26:59 2013
New Revision: 328009
URL: http://svnweb.freebsd.org/changeset/ports/328009

Log:
  - fix packing list with JAVAGW option enabled
  
  PR:		181825
  Reported by:    Ari Maniatis <ari@ish.com.au>
  Approved by:	maintainer timeout (>2 weeks)

Modified:
  head/net-mgmt/zabbix2-server/Makefile
  head/net-mgmt/zabbix2-server/pkg-plist

Modified: head/net-mgmt/zabbix2-server/Makefile
==============================================================================
--- head/net-mgmt/zabbix2-server/Makefile	Mon Sep 23 14:21:53 2013	(r328008)
+++ head/net-mgmt/zabbix2-server/Makefile	Mon Sep 23 14:26:59 2013	(r328009)
@@ -49,7 +49,7 @@ PLIST_SUB+=	SERVER=""
 PLIST_SUB+=	SERVER="@comment "
 .endif
 
-PLIST_SUB+=	ZABBIX_BUILD=${ZABBIX_BUILD}
+PLIST_SUB+=	ZABBIX_BUILD=${ZABBIX_BUILD} PORTVERSION=${PORTVERSION}
 SUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD} ZABBIX_REQUIRE=${ZABBIX_REQUIRE}
 
 MAKE_ARGS+=	ARCH=freebsd

Modified: head/net-mgmt/zabbix2-server/pkg-plist
==============================================================================
--- head/net-mgmt/zabbix2-server/pkg-plist	Mon Sep 23 14:21:53 2013	(r328008)
+++ head/net-mgmt/zabbix2-server/pkg-plist	Mon Sep 23 14:26:59 2013	(r328009)
@@ -40,7 +40,7 @@ sbin/zabbix_%%ZABBIX_BUILD%%
 %%JAVAGW%%%%ZABBIX_JAVA%%/lib/slf4j-api-1.6.1.jar
 %%JAVAGW%%%%ZABBIX_JAVA%%/settings.sh
 %%JAVAGW%%%%ZABBIX_JAVA%%/startup.sh
-%%JAVAGW%%%%ZABBIX_JAVA%%/bin/zabbix-java-gateway-2.0.4.jar
+%%JAVAGW%%%%ZABBIX_JAVA%%/bin/zabbix-java-gateway-%%PORTVERSION%%.jar
 %%JAVAGW%%@dirrmtry %%ZABBIX_JAVA%%/lib
 %%JAVAGW%%@dirrmtry %%ZABBIX_JAVA%%/bin
 %%JAVAGW%%@dirrmtry %%ZABBIX_JAVA%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2013-09-23 15:27:59 UTC
State Changed
From-To: open->closed

Problem fixed.
Comment 8 ari 2013-09-24 00:00:47 UTC
Sorry I didn't get a chance to test. Very busy week... I'll try and review as soon as I can.

Ari